"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.delimiters = void 0;
var Direction_js_1 = require("mathjax-full/cjs/output/common/Direction.js");
exports.delimiters = {
    0x28: {
        dir: Direction_js_1.V,
        sizes: [1, 1.198, 1.799, 2.399, 2.999],
        stretch: [0x239B, 0x239C, 0x239D],
        HDW: [.75, .25, .875]
    },
    0x29: {
        dir: Direction_js_1.V,
        sizes: [1, 1.198, 1.799, 2.399, 2.999],
        stretch: [0x239E, 0x239F, 0x23A0],
        HDW: [.75, .25, .875]
    },
    0x2D: {
        c: 0x2212,
        dir: Direction_js_1.H,
        sizes: [.778],
        stretch: [0, 0x2212],
        stretchv: [0, 1],
        HDW: [0.583, 0.082, .778],
        hd: [.583, .082]
    },
    0x2F: {
        dir: Direction_js_1.V,
        sizes: [1, 1.198, 1.799, 2.399, 2.999]
    },
    0x3D: {
        dir: Direction_js_1.H,
        sizes: [.778],
        stretch: [0, 0x3D],
        stretchv: [0, 1],
        HDW: [0.367, -0.133, .778],
        hd: [.367, -.133]
    },
    0x5B: {
        dir: Direction_js_1.V,
        sizes: [1, 1.198, 1.799, 2.399, 2.999],
        stretch: [0x23A1, 0x23A2, 0x23A3],
        HDW: [.75, .25, .667]
    },
    0x5C: {
        dir: Direction_js_1.V,
        sizes: [1, 1.198, 1.799, 2.399, 2.999]
    },
    0x5D: {
        dir: Direction_js_1.V,
        sizes: [1, 1.198, 1.799, 2.399, 2.999],
        stretch: [0x23A4, 0x23A5, 0x23A6],
        HDW: [.75, .25, .667]
    },
    0x5E: {
        c: 0x2C6,
        dir: Direction_js_1.H,
        sizes: [.5, .556, 1, 1.444, 1.889]
    },
    0x5F: {
        c: 0x2013,
        dir: Direction_js_1.H,
        sizes: [.5],
        stretch: [0, 0x2013],
        stretchv: [0, 1],
        HDW: [0.285, -0.248, .5],
        hd: [.285, -.248]
    },
    0x7B: {
        dir: Direction_js_1.V,
        sizes: [1, 1.198, 1.799, 2.399, 2.999],
        stretch: [0x23A7, 0x23AA, 0x23A9, 0x23A8],
        HDW: [.75, .25, .889]
    },
    0x7C: {
        dir: Direction_js_1.V,
        sizes: [.999],
        stretch: [0, 0x2223],
        stretchv: [0, 2],
        HDW: [.75, .249, .333]
    },
    0x7D: {
        dir: Direction_js_1.V,
        sizes: [1, 1.198, 1.799, 2.399, 2.999],
        stretch: [0x23AB, 0x23AA, 0x23AD, 0x23AC],
        HDW: [.75, .25, .889]
    },
    0x7E: {
        c: 0x2DC,
        dir: Direction_js_1.H,
        sizes: [.5, .556, 1, 1.444, 1.889]
    },
    0xAF: {
        dir: Direction_js_1.H,
        sizes: [.5],
        stretch: [0, 0xAF],
        stretchv: [0, 1],
        HDW: [0.59, -0.544, .5],
        hd: [.59, -.544]
    },
    0x2C6: {
        dir: Direction_js_1.H,
        sizes: [.5, .556, 1, 1.444, 1.889]
    },
    0x2C9: {
        c: 0xAF,
        dir: Direction_js_1.H,
        sizes: [.5],
        stretch: [0, 0xAF],
        stretchv: [0, 1],
        HDW: [0.59, -0.544, .5],
        hd: [.59, -.544]
    },
    0x2DC: {
        dir: Direction_js_1.H,
        sizes: [.5, .556, 1, 1.444, 1.889]
    },
    0x302: {
        c: 0x2C6,
        dir: Direction_js_1.H,
        sizes: [.5, .556, 1, 1.444, 1.889]
    },
    0x303: {
        c: 0x2DC,
        dir: Direction_js_1.H,
        sizes: [.5, .556, 1, 1.444, 1.889]
    },
    0x332: {
        c: 0x2013,
        dir: Direction_js_1.H,
        sizes: [.5],
        stretch: [0, 0x2013],
        stretchv: [0, 1],
        HDW: [0.285, -0.248, .5],
        hd: [.285, -.248]
    },
    0x2013: {
        dir: Direction_js_1.H,
        sizes: [.5],
        stretch: [0, 0x2013],
        stretchv: [0, 1],
        HDW: [0.285, -0.248, .5],
        hd: [.285, -.248]
    },
    0x2014: {
        c: 0x2013,
        dir: Direction_js_1.H,
        sizes: [.5],
        stretch: [0, 0x2013],
        stretchv: [0, 1],
        HDW: [0.285, -0.248, .5],
        hd: [.285, -.248]
    },
    0x2015: {
        c: 0x2013,
        dir: Direction_js_1.H,
        sizes: [.5],
        stretch: [0, 0x2013],
        stretchv: [0, 1],
        HDW: [0.285, -0.248, .5],
        hd: [.285, -.248]
    },
    0x2016: {
        dir: Direction_js_1.V,
        sizes: [1],
        stretch: [0, 0x2225],
        stretchv: [0, 2],
        HDW: [.75, .25, .556]
    },
    0x2017: {
        c: 0x2013,
        dir: Direction_js_1.H,
        sizes: [.5],
        stretch: [0, 0x2013],
        stretchv: [0, 1],
        HDW: [0.285, -0.248, .5],
        hd: [.285, -.248]
    },
    0x203E: {
        c: 0xAF,
        dir: Direction_js_1.H,
        sizes: [.5],
        stretch: [0, 0xAF],
        stretchv: [0, 1],
        HDW: [0.59, -0.544, .5],
        hd: [.59, -.544]
    },
    0x20D7: {
        c: 0x2192,
        dir: Direction_js_1.H,
        sizes: [1],
        stretch: [0, 0x2190, 0x2192],
        stretchv: [0, 2, 2],
        HDW: [0.511, 0.011, 1],
        hd: [.27, -.23]
    },
    0x2190: {
        dir: Direction_js_1.H,
        sizes: [1],
        stretch: [0x2194, 0x2190],
        stretchv: [2, 2],
        HDW: [0.511, 0.011, 1],
        hd: [.27, -.23]
    },
    0x2191: {
        dir: Direction_js_1.V,
        sizes: [.887],
        stretch: [0x2191, 0x23D0],
        stretchv: [2, 2],
        HDW: [.694, .193, .667]
    },
    0x2192: {
        dir: Direction_js_1.H,
        sizes: [1],
        stretch: [0, 0x2190, 0x2192],
        stretchv: [0, 2, 2],
        HDW: [0.511, 0.011, 1],
        hd: [.27, -.23]
    },
    0x2193: {
        dir: Direction_js_1.V,
        sizes: [.887],
        stretch: [0, 0x23D0, 0x2193],
        stretchv: [0, 2, 2],
        HDW: [.694, .194, .667]
    },
    0x2194: {
        dir: Direction_js_1.H,
        sizes: [1],
        stretch: [0x2194, 0x2190, 0x2192],
        stretchv: [2, 2, 2],
        HDW: [0.511, 0.011, 1],
        hd: [.27, -.23]
    },
    0x2195: {
        dir: Direction_js_1.V,
        sizes: [1.044],
        stretch: [0x2191, 0x23D0, 0x2193],
        stretchv: [2, 2, 2],
        HDW: [.772, .272, .667]
    },
    0x219E: {
        dir: Direction_js_1.H,
        sizes: [1],
        stretch: [0x219E, 0x2190],
        stretchv: [2, 2],
        HDW: [0.417, -0.083, 1],
        hd: [.27, -.23]
    },
    0x21A0: {
        dir: Direction_js_1.H,
        sizes: [1],
        stretch: [0, 0x2190, 0x2212],
        stretchv: [0, 2, 2],
        HDW: [0.27, -0.23, 1],
        hd: [.27, -.23]
    },
    0x21A4: {
        dir: Direction_js_1.H,
        sizes: [.998],
        stretch: [0x2194, 0x2212, 0x21A4],
        stretchv: [2, 2, 2],
        HDW: [0.577, 0.065, .998],
        hd: [.27, -.23]
    },
    0x21A5: {
        dir: Direction_js_1.V,
        sizes: [.903],
        stretch: [0x2191, 0x23D0, 0x2017],
        stretchv: [2, 2, 1],
        HDW: [.851, .052, .667]
    },
    0x21A6: {
        dir: Direction_js_1.H,
        sizes: [1],
        stretch: [0x21A4, 0x2212, 0x2192],
        stretchv: [2, 2, 2],
        HDW: [0.577, 0.065, 1],
        hd: [.27, -.23]
    },
    0x21A7: {
        dir: Direction_js_1.V,
        sizes: [.907],
        stretch: [0x2017, 0x23D0, 0x2193],
        stretchv: [1, 2, 2],
        HDW: [.853, .054, .667]
    },
    0x21BC: {
        dir: Direction_js_1.H,
        sizes: [1],
        stretch: [0x21BC, 0x2190],
        stretchv: [2, 2],
        HDW: [0.511, -0.23, 1],
        hd: [.27, -.23]
    },
    0x21BD: {
        dir: Direction_js_1.H,
        sizes: [1],
        stretch: [0x21BD, 0x2190],
        stretchv: [2, 2],
        HDW: [0.27, 0.011, 1],
        hd: [.27, -.23]
    },
    0x21BE: {
        dir: Direction_js_1.V,
        sizes: [.887],
        stretch: [0x21BE, 0x21BE],
        stretchv: [1, 2],
        HDW: [.694, .194, .417]
    },
    0x21BF: {
        dir: Direction_js_1.V,
        sizes: [.887],
        stretch: [0x21BF, 0x21BE],
        stretchv: [1, 2],
        HDW: [.694, .194, .417]
    },
    0x21C0: {
        dir: Direction_js_1.H,
        sizes: [1],
        stretch: [0, 0x2190, 0x21C0],
        stretchv: [0, 2, 2],
        HDW: [0.511, -0.23, 1],
        hd: [.27, -.23]
    },
    0x21C1: {
        dir: Direction_js_1.H,
        sizes: [1],
        stretch: [0, 0x2190, 0x21C1],
        stretchv: [0, 2, 2],
        HDW: [0.27, 0.011, 1],
        hd: [.27, -.23]
    },
    0x21C2: {
        dir: Direction_js_1.V,
        sizes: [.887],
        stretch: [0, 0x21BE, 0x21C2],
        stretchv: [0, 2, 1],
        HDW: [.694, .194, .417]
    },
    0x21C3: {
        dir: Direction_js_1.V,
        sizes: [.887],
        stretch: [0, 0x21BE, 0x21C3],
        stretchv: [0, 2, 1],
        HDW: [.694, .194, .417]
    },
    0x21D0: {
        dir: Direction_js_1.H,
        sizes: [1],
        stretch: [0x21D4, 0x21D0],
        stretchv: [2, 2],
        HDW: [0.525, 0.024, 1],
        hd: [.367, -.133]
    },
    0x21D1: {
        dir: Direction_js_1.V,
        sizes: [.887],
        stretch: [0x21D1, 0x2016],
        stretchv: [2, 2],
        HDW: [.694, .194, .778]
    },
    0x21D2: {
        dir: Direction_js_1.H,
        sizes: [1],
        stretch: [0, 0x21D0, 0x21D2],
        stretchv: [0, 2, 2],
        HDW: [0.525, 0.024, 1],
        hd: [.367, -.133]
    },
    0x21D3: {
        dir: Direction_js_1.V,
        sizes: [.887],
        stretch: [0, 0x2016, 0x21D3],
        stretchv: [0, 2, 2],
        HDW: [.694, .194, .778]
    },
    0x21D4: {
        dir: Direction_js_1.H,
        sizes: [1],
        stretch: [0x21D4, 0x21D0, 0x21D2],
        stretchv: [2, 2, 2],
        HDW: [0.525, 0.024, 1],
        hd: [.367, -.133]
    },
    0x21D5: {
        dir: Direction_js_1.V,
        sizes: [1.044],
        stretch: [0x21D1, 0x2016, 0x21D3],
        stretchv: [2, 2, 2],
        HDW: [.772, .272, .778]
    },
    0x21DA: {
        dir: Direction_js_1.H,
        sizes: [1],
        stretch: [0x21DA, 0x2261],
        stretchv: [2, 2],
        HDW: [0.611, 0.111, 1],
        hd: [.464, -.036]
    },
    0x21DB: {
        dir: Direction_js_1.H,
        sizes: [1],
        stretch: [0, 0x2261, 0x21DB],
        stretchv: [0, 2, 2],
        HDW: [0.611, 0.111, 1],
        hd: [.464, -.036]
    },
    0x2212: {
        dir: Direction_js_1.H,
        sizes: [.778],
        stretch: [0, 0x2212],
        stretchv: [0, 1],
        HDW: [0.583, 0.082, .778],
        hd: [.583, .082]
    },
    0x2215: {
        c: 0x2F,
        dir: Direction_js_1.V,
        sizes: [1, 1.198, 1.799, 2.399, 2.999]
    },
    0x221A: {
        dir: Direction_js_1.V,
        sizes: [1, 1.2, 1.799, 2.4, 3],
        stretch: [0xE001, 0xE000, 0x23B7],
        HDW: [.8, .2, 1.056],
        fullExt: [0.605, 1.56]
    },
    0x2223: {
        dir: Direction_js_1.V,
        sizes: [.999],
        stretch: [0, 0x2223],
        stretchv: [0, 2],
        HDW: [.75, .249, .333]
    },
    0x2225: {
        dir: Direction_js_1.V,
        sizes: [1],
        stretch: [0, 0x2225],
        stretchv: [0, 2],
        HDW: [.75, .25, .556]
    },
    0x2308: {
        dir: Direction_js_1.V,
        sizes: [1, 1.198, 1.799, 2.399, 2.999],
        stretch: [0x23A1, 0x23A2],
        HDW: [.75, .25, .667]
    },
    0x2309: {
        dir: Direction_js_1.V,
        sizes: [1, 1.198, 1.799, 2.399, 2.999],
        stretch: [0x23A4, 0x23A5],
        HDW: [.75, .25, .667]
    },
    0x230A: {
        dir: Direction_js_1.V,
        sizes: [1, 1.198, 1.799, 2.399, 2.999],
        stretch: [0, 0x23A2, 0x23A3],
        HDW: [.75, .25, .667]
    },
    0x230B: {
        dir: Direction_js_1.V,
        sizes: [1, 1.198, 1.799, 2.399, 2.999],
        stretch: [0, 0x23A5, 0x23A6],
        HDW: [.75, .25, .667]
    },
    0x2312: {
        c: 0x23DC,
        dir: Direction_js_1.H,
        sizes: [1],
        stretch: [0xE150, 0xE154, 0xE151],
        HDW: [0.12, 0.213, 0],
        hd: [.12, 0]
    },
    0x2322: {
        c: 0x23DC,
        dir: Direction_js_1.H,
        sizes: [1],
        stretch: [0xE150, 0xE154, 0xE151],
        HDW: [0.12, 0.213, 0],
        hd: [.12, 0]
    },
    0x2323: {
        c: 0x23DD,
        dir: Direction_js_1.H,
        sizes: [1],
        stretch: [0xE152, 0xE154, 0xE153],
        HDW: [0.333, 0, 0],
        hd: [.12, 0]
    },
    0x2329: {
        c: 0x27E8,
        dir: Direction_js_1.V,
        sizes: [1, 1.2, 1.799, 2.4, 2.998]
    },
    0x232A: {
        c: 0x27E9,
        dir: Direction_js_1.V,
        sizes: [1, 1.2, 1.799, 2.399, 2.998]
    },
    0x23AA: {
        dir: Direction_js_1.V,
        sizes: [0],
        stretch: [0, 0x23AA, 0],
        HDW: [0, 0, .889]
    },
    0x23AF: {
        c: 0x2013,
        dir: Direction_js_1.H,
        sizes: [.5],
        stretch: [0, 0x2013],
        stretchv: [0, 1],
        HDW: [0.285, -0.248, .5],
        hd: [.285, -.248]
    },
    0x23B0: {
        dir: Direction_js_1.V,
        sizes: [.988],
        stretch: [0x23A7, 0x23AA, 0x23AD],
        HDW: [.744, .244, .889]
    },
    0x23B1: {
        dir: Direction_js_1.V,
        sizes: [.988],
        stretch: [0x23AB, 0x23AA, 0x23A9],
        HDW: [.744, .244, .889]
    },
    0x23B4: {
        dir: Direction_js_1.H,
        stretch: [0x250C, 0x23B4, 0x2510],
        stretchv: [1, 2, 1],
        HDW: [0.694, -0.306, 0],
        min: 1,
        hd: [.694, -.654]
    },
    0x23B5: {
        dir: Direction_js_1.H,
        stretch: [0x2514, 0x23B5, 0x2518],
        stretchv: [1, 2, 1],
        HDW: [0.366, 0.022, 0],
        min: 1,
        hd: [.018, .022]
    },
    0x23D0: {
        dir: Direction_js_1.V,
        sizes: [.602],
        stretch: [0, 0x2223],
        stretchv: [0, 2],
        HDW: [.602, 0, .333]
    },
    0x23DC: {
        dir: Direction_js_1.H,
        sizes: [1],
        stretch: [0xE150, 0xE154, 0xE151],
        HDW: [0.12, 0.213, 0],
        hd: [.12, 0]
    },
    0x23DD: {
        dir: Direction_js_1.H,
        sizes: [1],
        stretch: [0xE152, 0xE154, 0xE153],
        HDW: [0.333, 0, 0],
        hd: [.12, 0]
    },
    0x23DE: {
        dir: Direction_js_1.H,
        sizes: [1.844],
        stretch: [0xE150, 0xE154, 0xE151, 0xE155],
        HDW: [0.333, 0.213, 1.844],
        hd: [.12, 0]
    },
    0x23DF: {
        dir: Direction_js_1.H,
        sizes: [1.844],
        stretch: [0xE152, 0xE154, 0xE153, 0xE156],
        HDW: [0.333, 0.213, 1.844],
        hd: [.12, 0]
    },
    0x2500: {
        c: 0x2013,
        dir: Direction_js_1.H,
        sizes: [.5],
        stretch: [0, 0x2013],
        stretchv: [0, 1],
        HDW: [0.285, -0.248, .5],
        hd: [.285, -.248]
    },
    0x2758: {
        c: 0x2223,
        dir: Direction_js_1.V,
        sizes: [.999],
        stretch: [0, 0x2223],
        stretchv: [0, 2],
        HDW: [.75, .249, .333]
    },
    0x27E8: {
        dir: Direction_js_1.V,
        sizes: [1, 1.2, 1.799, 2.4, 2.998]
    },
    0x27E9: {
        dir: Direction_js_1.V,
        sizes: [1, 1.2, 1.799, 2.399, 2.998]
    },
    0x27EE: {
        dir: Direction_js_1.V,
        sizes: [.988],
        stretch: [0x23A7, 0x23AA, 0x23A9],
        HDW: [.744, .244, .889]
    },
    0x27EF: {
        dir: Direction_js_1.V,
        sizes: [.988],
        stretch: [0x23AB, 0x23AA, 0x23AD],
        HDW: [.744, .244, .889]
    },
    0x27F5: {
        c: 0x2190,
        dir: Direction_js_1.H,
        sizes: [1],
        stretch: [0x2194, 0x2190],
        stretchv: [2, 2],
        HDW: [0.511, 0.011, 1],
        hd: [.27, -.23]
    },
    0x27F6: {
        c: 0x2192,
        dir: Direction_js_1.H,
        sizes: [1],
        stretch: [0, 0x2190, 0x2192],
        stretchv: [0, 2, 2],
        HDW: [0.511, 0.011, 1],
        hd: [.27, -.23]
    },
    0x27F7: {
        c: 0x2194,
        dir: Direction_js_1.H,
        sizes: [1],
        stretch: [0x2194, 0x2190, 0x2192],
        stretchv: [2, 2, 2],
        HDW: [0.511, 0.011, 1],
        hd: [.27, -.23]
    },
    0x27F8: {
        c: 0x21D0,
        dir: Direction_js_1.H,
        sizes: [1],
        stretch: [0x21D4, 0x21D0],
        stretchv: [2, 2],
        HDW: [0.525, 0.024, 1],
        hd: [.367, -.133]
    },
    0x27F9: {
        c: 0x21D2,
        dir: Direction_js_1.H,
        sizes: [1],
        stretch: [0, 0x21D0, 0x21D2],
        stretchv: [0, 2, 2],
        HDW: [0.525, 0.024, 1],
        hd: [.367, -.133]
    },
    0x27FA: {
        c: 0x21D4,
        dir: Direction_js_1.H,
        sizes: [1],
        stretch: [0x21D4, 0x21D0, 0x21D2],
        stretchv: [2, 2, 2],
        HDW: [0.525, 0.024, 1],
        hd: [.367, -.133]
    },
    0x27FB: {
        c: 0x21A4,
        dir: Direction_js_1.H,
        sizes: [.998],
        stretch: [0x2194, 0x2212, 0x21A4],
        stretchv: [2, 2, 2],
        HDW: [0.577, 0.065, .998],
        hd: [.27, -.23]
    },
    0x27FC: {
        c: 0x21A6,
        dir: Direction_js_1.H,
        sizes: [1],
        stretch: [0x21A4, 0x2212, 0x2192],
        stretchv: [2, 2, 2],
        HDW: [0.577, 0.065, 1],
        hd: [.27, -.23]
    },
    0x27FD: {
        c: 0x2906,
        dir: Direction_js_1.H,
        sizes: [1.012],
        stretch: [0x21D4, 0x2906, 0x21A4],
        stretchv: [2, 2, 2],
        HDW: [0.577, 0.065, 1.013],
        hd: [.367, -.133]
    },
    0x27FE: {
        c: 0x2907,
        dir: Direction_js_1.H,
        sizes: [1.016],
        stretch: [0x21A4, 0x2906, 0x21D2],
        stretchv: [2, 2, 2],
        HDW: [0.577, 0.065, 1.017],
        hd: [.367, -.133]
    },
    0x2906: {
        dir: Direction_js_1.H,
        sizes: [1.012],
        stretch: [0x21D4, 0x2906, 0x21A4],
        stretchv: [2, 2, 2],
        HDW: [0.577, 0.065, 1.013],
        hd: [.367, -.133]
    },
    0x2907: {
        dir: Direction_js_1.H,
        sizes: [1.016],
        stretch: [0x21A4, 0x2906, 0x21D2],
        stretchv: [2, 2, 2],
        HDW: [0.577, 0.065, 1.017],
        hd: [.367, -.133]
    },
    0x294A: {
        dir: Direction_js_1.H,
        sizes: [1.144],
        stretch: [0x21BC, 0x2190, 0x21C1],
        stretchv: [2, 2, 2],
        HDW: [0.511, 0.011, 1.144],
        hd: [.27, -.23]
    },
    0x294B: {
        dir: Direction_js_1.H,
        sizes: [1.144],
        stretch: [0x21BD, 0x2190, 0x21C0],
        stretchv: [2, 2, 2],
        HDW: [0.511, 0.011, 1.144],
        hd: [.27, -.23]
    },
    0x294C: {
        dir: Direction_js_1.V,
        sizes: [.956],
        stretch: [0x21BE, 0x21BE, 0x21C3],
        stretchv: [1, 2, 1],
        HDW: [.762, .194, .417]
    },
    0x294D: {
        dir: Direction_js_1.V,
        sizes: [.956],
        stretch: [0x21BF, 0x21BE, 0x21C2],
        stretchv: [1, 2, 1],
        HDW: [.762, .194, .417]
    },
    0x294E: {
        dir: Direction_js_1.H,
        sizes: [1.144],
        stretch: [0x21BC, 0x2190, 0x21C0],
        stretchv: [2, 2, 2],
        HDW: [0.511, -0.23, 1.144],
        hd: [.27, -.23]
    },
    0x294F: {
        dir: Direction_js_1.V,
        sizes: [.956],
        stretch: [0x21BE, 0x21BE, 0x21C2],
        stretchv: [1, 2, 1],
        HDW: [.762, .194, .417]
    },
    0x2950: {
        dir: Direction_js_1.H,
        sizes: [1.144],
        stretch: [0x21BD, 0x2190, 0x21C1],
        stretchv: [2, 2, 2],
        HDW: [0.27, 0.011, 1.144],
        hd: [.27, -.23]
    },
    0x2951: {
        dir: Direction_js_1.V,
        sizes: [.956],
        stretch: [0x21BF, 0x21BE, 0x21C3],
        stretchv: [1, 2, 1],
        HDW: [.762, .194, .417]
    },
    0x295A: {
        dir: Direction_js_1.H,
        sizes: [1.012],
        stretch: [0x21BC, 0x2212, 0x21A4],
        stretchv: [2, 2, 2],
        HDW: [0.577, 0.065, 1.013],
        hd: [.27, -.23]
    },
    0x295B: {
        dir: Direction_js_1.H,
        sizes: [1.016],
        stretch: [0x21A4, 0x2212, 0x21C0],
        stretchv: [2, 2, 2],
        HDW: [0.577, 0.065, 1.017],
        hd: [.27, -.23]
    },
    0x295C: {
        dir: Direction_js_1.V,
        sizes: [.903],
        stretch: [0x21BE, 0x294C, 0x2017],
        stretchv: [1, 2, 1],
        HDW: [.841, .062, .497]
    },
    0x295D: {
        dir: Direction_js_1.V,
        sizes: [.907],
        stretch: [0x2017, 0x294C, 0x21C2],
        stretchv: [1, 2, 1],
        HDW: [.853, .054, .497]
    },
    0x295E: {
        dir: Direction_js_1.H,
        sizes: [1.012],
        stretch: [0x21BD, 0x2212, 0x21A4],
        stretchv: [2, 2, 2],
        HDW: [0.577, 0.065, 1.013],
        hd: [.27, -.23]
    },
    0x295F: {
        dir: Direction_js_1.H,
        sizes: [1.016],
        stretch: [0x21A4, 0x2212, 0x21C1],
        stretchv: [2, 2, 2],
        HDW: [0.577, 0.065, 1.017],
        hd: [.27, -.23]
    },
    0x2960: {
        dir: Direction_js_1.V,
        sizes: [.903],
        stretch: [0x21BF, 0x294C, 0x2017],
        stretchv: [1, 2, 1],
        HDW: [.841, .062, .497]
    },
    0x2961: {
        dir: Direction_js_1.V,
        sizes: [.907],
        stretch: [0x2017, 0x294C, 0x21C3],
        stretchv: [1, 2, 1],
        HDW: [.853, .054, .497]
    },
    0x3008: {
        c: 0x27E8,
        dir: Direction_js_1.V,
        sizes: [1, 1.2, 1.799, 2.4, 2.998]
    },
    0x3009: {
        c: 0x27E9,
        dir: Direction_js_1.V,
        sizes: [1, 1.2, 1.799, 2.399, 2.998]
    },
    0xFE37: {
        c: 0x23DE,
        dir: Direction_js_1.H,
        sizes: [1.844],
        stretch: [0xE150, 0xE154, 0xE151, 0xE155],
        HDW: [0.333, 0.213, 1.844],
        hd: [.12, 0]
    },
    0xFE38: {
        c: 0x23DF,
        dir: Direction_js_1.H,
        sizes: [1.844],
        stretch: [0xE152, 0xE154, 0xE153, 0xE156],
        HDW: [0.333, 0.213, 1.844],
        hd: [.12, 0]
    }
};
//# sourceMappingURL=delimiters.js.map