import { SvgFontData, SvgCharOptions, SvgVariantData, SvgDelimiterData, DelimiterMap, CharMapMap } from 'mathjax-full/mjs/output/svg/FontData.js';
import { OptionList } from 'mathjax-full/mjs/util/Options.js';
declare const Base: import("mathjax-full/mjs/output/common/FontData.js").FontDataClass<SvgCharOptions, SvgVariantData, SvgDelimiterData> & typeof SvgFontData;
export declare class MathJaxTexFont extends Base {
    static NAME: string;
    protected static defaultDelimiters: DelimiterMap<SvgDelimiterData>;
    protected static defaultChars: CharMapMap<SvgCharOptions>;
    protected static variantCacheIds: {
        [name: string]: string;
    };
    constructor(options?: OptionList);
}
export {};
